%define oname iniparse
%define with_tests 0

Name:		python-%oname
Version:	0.4
Release:	%mkrel 14
Summary:	INI parser for python
License:	MIT
Group:		Development/Python
Url:		http://code.google.com/p/iniparse/
Source:		http://iniparse.googlecode.com/files/%{oname}-%{version}.tar.gz 
# From Fedora
Patch0:         fix-issue-28.patch
Patch1:         %{name}-python3-compat.patch
Patch2:         %{name}-setup-fixes.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:  python-six
BuildRequires:  python-setuptools
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
%if 0%{?with_tests}
BuildRequires:  python-test
BuildRequires:  python3-test
%endif

%description
iniparse is a INI parser for Python which is:

 * Compatiable with ConfigParser: Backward compatible implementations of 
   ConfigParser, RawConfigParser, and SafeConfigParser are included that 
   are API-compatible with the Python standard library. They pass all the 
   unit tests in Python-2.4.4.
 * Preserves structure of INI files: Order of sections & options, indentation, 
   comments, and blank lines are preserved as far as possible when data is 
   updated.
 * More convenient: Values can be accessed using dotted notation 
   (cfg.user.name), or using container syntax (cfg['user']['name']).

It is very useful for config files that are updated both by users and by 
programs, since it is very disorienting for a user to have her config 
file completely rearranged whenever a program changes it. iniparse also 
allows making the order of entries in a config file significant, which is 
desirable in applications like image galleries.

%package -n python3-iniparse
Summary:        Python 3 Module for Accessing and Modifying Configuration Data in INI files
Group:          Development/Python

%description -n python3-iniparse
iniparse is an INI parser for Python 3 which is API compatible
with the standard library's configparser, preserves structure of INI
files (order of sections & options, indentation, comments, and blank
lines are preserved when data is updated), and is more convenient to
use.

%prep
%setup -q -n iniparse-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
chmod -c -x html/index.html
cp -a . %{py3dir}


%build
%py2_build
pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd
%py2_install
rm -Rf %buildroot/%_prefix/share/doc/*

%if 0%{?with_tests}
%check
%{__python2} runtests.py
pushd %{py3dir}
%{__python3} runtests.py
popd
%endif

%files
%doc Changelog README html/*
%license LICENSE LICENSE-PSF 
%{python2_sitelib}/%{oname}*


%files -n python3-iniparse
%doc Changelog README html/* 
%license LICENSE LICENSE-PSF
%{python3_sitelib}/%{oname}*



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.4-14.mga6
+ Revision: 971530
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 philippem <philippem> 0.4-13.mga6
+ Revision: 892032
- disable tests on BS

* Mon Oct 12 2015 philippem <philippem> 0.4-12.mga6
+ Revision: 889883
- Fixes setup/egg information to generate proper pythonegg()() Requires, mga#16943

* Sat Oct 10 2015 ovitters <ovitters> 0.4-11.mga6
+ Revision: 888701
- rebuild for python 3.5

* Sat Oct 03 2015 philippem <philippem> 0.4-10.mga6
+ Revision: 885958
- add python3 module

* Wed Sep 16 2015 philippem <philippem> 0.4-9.mga6
+ Revision: 880001
- fix build use new macros

* Wed Oct 15 2014 umeabot <umeabot> 0.4-8.mga5
+ Revision: 749422
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4-7.mga5
+ Revision: 728742
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 688087
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 543483
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4-3.mga4
+ Revision: 498730
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 378986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 27 2011 kharec <kharec> 0.4-1.mga1
+ Revision: 78170
- imported package python-iniparse

